Mounted.macros = {}
local macros = Mounted.macros

--<<General Macros>>--
do
	macros['GENERAL'] = {['f'] = {}, ['g'] = {}, ['aq'] = {}, ['cm'] = {}}
	local f = macros['GENERAL'].f
	local g = macros['GENERAL'].g
	local aq = macros['GENERAL'].aq
	local cm = macros['GENERAL'].cm
	f['Default'] = [[
#st
/cast [nomodifier] <ff>; <gf>
]]
	f['Default Dismount'] = [[
#st
/dismount [mounted]
/cast [nomodifier] <ff>; <gf>
]]
	g['Default'] = [[
#st
/cast <gf>
]]
	g['Default Dismount'] = [[
#st
/dismount [mounted]
/cast <gf>
]]
	aq['Default'] = [[
#st
/cast <gaq>
]]
	aq['Default Dismount'] = [[
#st
/dismount [mounted]
/cast <gaq>
]]
	cm['Default'] = [[
/charge
/y LEEROOOOOY JEEEEENKINS!
]]
end

--<<Druid>>--
do
	macros['DRUID'] = {['f'] = {}, ['g'] = {}, ['aq'] = {}, ['cm'] = {}}
	local f = macros['DRUID'].f
	local g = macros['DRUID'].g
	local aq = macros['DRUID'].aq
	local cm = macros['DRUID'].cm
	f['Default Dismount'] = [[
#st
/dismount [mounted]
/cancelform [stance:4/6]
/cast [nomodifier] <ff>; <gf>
]]
	g['Default Dismount'] = [[
#st
/dismount [mounted]
/cancelform [stance:4/6]
/cast <gf>
]]
	cm['Entangling Roots'] = [[
#st
/focus [target=focus, noexists][target=focus, dead]
/cast [nomodifier, target=focus] <s339>
/stopmacro [nomodifier]
/clearfocus [modifier]
]]
end

--<<Hunter>>--
do
	macros['HUNTER'] = {['f'] = {}, ['g'] = {}, ['aq'] = {}, ['cm'] = {}}
	local f = macros['HUNTER'].f
	local g = macros['HUNTER'].g
	local aq = macros['HUNTER'].aq
	local cm = macros['HUNTER'].cm
	cm['Misdirection'] = [[
#st
/focus [help]
/stopmacro [help]
/cast [target=focus,exists] <s34477>
]]
end

--<<Mage>>--
do
	macros['MAGE'] = {['f'] = {}, ['g'] = {}, ['aq'] = {}, ['cm'] = {}}
	local f = macros['MAGE'].f
	local g = macros['MAGE'].g
	local aq = macros['MAGE'].aq
	local cm = macros['MAGE'].cm
	cm['Chain Sheep'] = [[
#st
/focus [target=focus, noexists][target=focus, dead]
/cast [nomodifier, target=focus] <s118>
/stopmacro [nomodifier]
/clearfocus [modifier]
]]
end

--<<Paladin>>--
do
	macros['PALADIN'] = {['f'] = {}, ['g'] = {}, ['aq'] = {}, ['cm'] = {}}
	local f = macros['PALADIN'].f
	local g = macros['PALADIN'].g
	local aq = macros['PALADIN'].aq
	local cm = macros['PALADIN'].cm
	cm['Tanking Divine Shield'] = [[
#st
/cancelaura <s642>
/cast <s642>
]]
end

--<<Priest>>--
do
	macros['PRIEST'] = {['f'] = {}, ['g'] = {}, ['aq'] = {}, ['cm'] = {}}
	local f = macros['PRIEST'].f
	local g = macros['PRIEST'].g
	local aq = macros['PRIEST'].aq
	local cm = macros['PRIEST'].cm
	cm['Shackle Undead'] = [[
#st
/focus [target=focus, noexists][target=focus, dead]
/cast [nomodifier, target=focus] <s9484>
/stopmacro [nomodifier]
/clearfocus [modifier]
]]
end

--<<Rogue>>--
do
	macros['ROGUE'] = {['f'] = {}, ['g'] = {}, ['aq'] = {}, ['cm'] = {}}
	local f = macros['ROGUE'].f
	local g = macros['ROGUE'].g
	local aq = macros['ROGUE'].aq
	local cm = macros['ROGUE'].cm
	cm['Stun'] = [[
#st
/cast [stealth] <s1833>; <s408>
]]
end

--<<Shaman>>--
do
	macros['SHAMAN'] = {['f'] = {}, ['g'] = {}, ['aq'] = {}, ['cm'] = {}}
	local f = macros['SHAMAN'].f
	local g = macros['SHAMAN'].g
	local aq = macros['SHAMAN'].aq
	local cm = macros['SHAMAN'].cm
	cm['Anti-Spellcaster'] = [[
#st
/stopcasting
/cast Earth Shock
]]
end

--<<Warlock>>--
do
	macros['WARLOCK'] = {['f'] = {}, ['g'] = {}, ['aq'] = {}, ['cm'] = {}}
	local f = macros['WARLOCK'].f
	local g = macros['WARLOCK'].g
	local aq = macros['WARLOCK'].aq
	local cm = macros['WARLOCK'].cm
	cm['Chain Banish'] = [[
#st
/focus [target=focus, noexists][target=focus, dead]
/cast [nomodifier, target=focus] <s710>
/stopmacro [nomodifier]
/clearfocus [modifier]
]]
end

--<<Warrior>>--
do
	macros['WARRIOR'] = {['f'] = {}, ['g'] = {}, ['aq'] = {}, ['cm'] = {}}
	local f = macros['WARRIOR'].f
	local g = macros['WARRIOR'].g
	local aq = macros['WARRIOR'].aq
	local cm = macros['WARRIOR'].cm
	cm['Intervene'] = [[
#st
/cast [nostance:2] <s71>; [help] <s3411>; [target=targettarget, help] <s3411>
]]
end

--<<Death Knight>>--
do
	macros['DEATH KNIGHT'] = {['f'] = {}, ['g'] = {}, ['aq'] = {}, ['cm'] = {}}
	local f = macros['DEATH KNIGHT'].f
	local g = macros['DEATH KNIGHT'].g
	local aq = macros['DEATH KNIGHT'].aq
	local cm = macros['DEATH KNIGHT'].cm
	cm['Runner Stopper'] = [[
#st <s49576>
/cast <s49576>
/cast <s45524>
]]
end
